oCoreoCore Docs
API Reference

Operations

Stream operation logs (SSE)

Streams operation step logs as Server-Sent Events in real-time.

GET
/operations/{type}/{id}/logs

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

typeRequiredstring

Operation type (backup, restore, instance_create, snapshot, rollback)

idRequiredstring

Operation ID

curl -X GET "//api.ocore.dev/api/operations/<string>/<string>/logs" \
  -H "Authorization: <token>"

SSE stream

"string"

Get operation steps

Returns all steps for a completed operation.

GET
/operations/{type}/{id}/steps

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

typeRequiredstring

Operation type (backup, restore, instance_create, snapshot, rollback)

idRequiredstring

Operation ID

curl -X GET "//api.ocore.dev/api/operations/<string>/<string>/steps" \
  -H "Authorization: <token>"

OK

{
  "steps": [
    {
      "completedAt": "string",
      "durationMs": 0,
      "id": "string",
      "name": "string",
      "output": "string",
      "sortOrder": 0,
      "startedAt": "string",
      "status": "string",
      "version": 0
    }
  ],
  "total": 0
}

Was this page helpful?